org.apache.cxf.databinding.source

## Class XMLStreamDataReader

- java.lang.Object
- - org.apache.cxf.databinding.source.XMLStreamDataReader

- All Implemented Interfaces:
    DataReader<XMLStreamReader>

      public class XMLStreamDataReader
      extends Object
      implements DataReader<XMLStreamReader>

- - ### Field Summary

    - ### Fields inherited from interface org.apache.cxf.databinding.DataReader

      `ENDPOINT, FAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamDataReader()`
    `XMLStreamDataReader(Class<?> cls)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `read(MessagePartInfo part, XMLStreamReader input)` Read an object from the input, applying additional conventions based on the WSDL message part.
    `Object` | `read(QName name, XMLStreamReader input, Class<?> type)` Read an object from the input.
    `DOMSource` | `read(XMLStreamReader reader)` Read an object from the input.
    `void` | `setAttachments(Collection<Attachment> attachments)` Attach a collection of attachments to a binding.
    `void` | `setProperty(String prop, Object value)` Set an arbitrary property on the reader.
    `void` | `setSchema(Schema s)` Supply a schema to validate the input.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamDataReader

          public XMLStreamDataReader()

    - #### XMLStreamDataReader

          public XMLStreamDataReader(Class<?> cls)

  - ### Method Detail

    - #### read

          public Object read(MessagePartInfo part,
                             XMLStreamReader input)

      Description copied from interface: `DataReader`
      Read an object from the input, applying additional conventions based on the WSDL message part.
      Specified by:
        `read` in interface `DataReader<XMLStreamReader>`
      Parameters:
        `part` - The message part for this item. If null, this API is equivalent to `DataReader.read(Object)`.
        `input` - input source object.
      Returns:
        item read.

    - #### read

          public Object read(QName name,
                             XMLStreamReader input,
                             Class<?> type)

      Description copied from interface: `DataReader`
      Read an object from the input. In the current version of CXF, not all binding support this API, and those that do ignore the element QName parameter.
      Specified by:
        `read` in interface `DataReader<XMLStreamReader>`
      Parameters:
        `name` - expected element. Generally ignored.
        `input` - input source object.
        `type` - the type of object required/requested. This is generally used when the caller wants to receive a raw source object and avoid any binding processing. For example, passing javax.xml.transform.Source. The bindings do not necessarily throw if they cannot provide an object of the requested type, and will apply their normal mapping processing, instead.
      Returns:
        item read.

    - #### read

          public DOMSource read(XMLStreamReader reader)

      Description copied from interface: `DataReader`
      Read an object from the input.
      Specified by:
        `read` in interface `DataReader<XMLStreamReader>`
      Parameters:
        `reader` - input source object.
      Returns:
        item read.

    - #### setSchema

          public void setSchema(Schema s)

      Description copied from interface: `DataReader`
      Supply a schema to validate the input. Bindings silently ignore this parameter if they do not support schema validation, or the particular form of validation implied by a particular form of Schema.
      Specified by:
        `setSchema` in interface `DataReader<XMLStreamReader>`

    - #### setAttachments

          public void setAttachments(Collection<Attachment> attachments)

      Description copied from interface: `DataReader`
      Attach a collection of attachments to a binding. This permits a binding to process the contents of one or more attachments as part of reading from this reader.
      Specified by:
        `setAttachments` in interface `DataReader<XMLStreamReader>`
      Parameters:
        `attachments` - attachments.

    - #### setProperty

          public void setProperty(String prop,
                                  Object value)

      Description copied from interface: `DataReader`
      Set an arbitrary property on the reader. `DataReader.FAULT` and `DataReader.ENDPOINT` specify two common properties: the Fault object being read and the `Endpoint`.
      Specified by:
        `setProperty` in interface `DataReader<XMLStreamReader>`
      Parameters:
        `prop` - Name of the property.
        `value` - Value of the property.

Apache CXF